{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "e5c5a211-2ccd-4341-af10-ac546484b91f",
   "metadata": {
    "tags": []
   },
   "source": [
    "## 说明\n",
    "- 启动需要加载模型，需要3分钟左右的时间\n",
    "- 启动和重启 Notebook 点上方工具栏中的「重启并运行所有单元格」。出现如下内容就算成功了：\n",
    "    - `Running on local URL:  http://0.0.0.0:7860`\n",
    "    - `Running on public URL: https://xxxxxxxxxxxxxxx.gradio.live`\n",
    "- 通过以下方式开启页面：\n",
    "    - 控制台打开「自定义服务」了，访问自定义服务端口号设置为7860\n",
    "    - 直接打开显示的公开链接`public URL`\n",
    "\n",
    "## 功能介绍\n",
    "- 原项目地址：https://github.com/TencentARC/PhotoMaker\n",
    "- Spaces：https://huggingface.co/spaces/TencentARC/PhotoMaker-V2\n",
    "- PhotoMaker-V2是一款风格百变的头像生成器。通过堆叠ID技术嵌入定制出逼真的人体照片的开源工具。与PhotoMaker V1相比，改进了ID保真度和更好的可控性。"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "53a96614-e2d2-4710-a82b-0d5ca9cb9872",
   "metadata": {
    "tags": [],
    "is_executing": true
   },
   "outputs": [],
   "source": [
    "# 启动\n",
    "!sh start.sh"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "9e81ae9d-3a34-43a0-943a-ff5e9d6ce961",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.10.13"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
